<?php
declare(strict_types=1);

namespace App\Service\Mailer\Builder;

use App\Entity\Access\Access;
use App\Entity\Organization\Organization;
use App\Service\Mailer\Email;

interface AbstractBuilderInterface {

    public function render(string $template, array $context);

    public function buildEmailEntity(string $subject, Access $author, string $content);

    public function addRecipient(Email $email, Access|Organization|string $target, string $sendType, string $contactPointType = null);
}